<link rel="import" href="../../polymer_components/polymer/polymer.html">
<link rel="import" href="./authors-collection.html">

<dom-module id="project-card">
  <link rel="stylesheet" href="project-card.css">
  <template>
    <div class="image">
      <img src="../img/{{img}}" alt="" />
    </div>
    <div class="content">
      <div class="header">{{title}}</div>
      <br />
      <div class="meta">
        <authors-collection collection="{{author}}"></authors-collection>
      </div>
    </div>
    <div class="extra content">
      <span class="right floated">
        {{date}}
      </span>
    </div>
  </template>
</dom-module>

<script>
Polymer({
  is: 'project-card',
  properties: {
    title: String,
    author: {
      type: Array,
      value: () => []
    },
    img: String,
    date: Date
  },
  attached: function() {
    let d = this.date.toDateString().split(' ');
    this.date = d[1] + ' del ' + d[3];
  }
});
</script>
